Loading...
Searching...
No Matches
SyncQueue Struct Reference

## Data Fields

enum SyncQueueType | type
int | finished
int | head_stream
int | head_finished_stream
int64_t | buf_size_us
SyncQueueStream * | streams
unsigned int | nb_streams
ObjPool * | pool

## Detailed Description

Definition at line 59 of file fftools_sync_queue.c.

## Field Documentation

## buf_size_us

int64_t SyncQueue::buf_size_us

Definition at line 71 of file fftools_sync_queue.c.

## finished

int SyncQueue::finished

Definition at line 63 of file fftools_sync_queue.c.

## head_finished_stream

int SyncQueue::head_finished_stream

Definition at line 68 of file fftools_sync_queue.c.

## head_stream

int SyncQueue::head_stream

Definition at line 66 of file fftools_sync_queue.c.

## nb_streams

unsigned int SyncQueue::nb_streams

Definition at line 74 of file fftools_sync_queue.c.

## pool

ObjPool* SyncQueue::pool

Definition at line 77 of file fftools_sync_queue.c.

## streams

SyncQueueStream* SyncQueue::streams

Definition at line 73 of file fftools_sync_queue.c.

## type

enum SyncQueueType SyncQueue::type

Definition at line 60 of file fftools_sync_queue.c.

The documentation for this struct was generated from the following file:

- fftools_sync_queue.c